"""add card_keys.oem_remark

Revision ID: 012
Revises: 011
Create Date: 2026-05-22

"""

from typing import Sequence, Union

import sqlalchemy as sa
from alembic import op

revision: str = "012"
down_revision: Union[str, None] = "011"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.add_column(
        "card_keys",
        sa.Column("oem_remark", sa.String(length=255), nullable=True),
    )


def downgrade() -> None:
    op.drop_column("card_keys", "oem_remark")
